Last Comment Bug 619843 - Persist the checkbox values for the advanced search dialog ("Search subfolders" and "Run search on server")
: Persist the checkbox values for the advanced search dialog ("Search subfolder...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Search (show other bugs)
: 3.1
: All All
: -- minor with 1 vote (vote)
: Thunderbird 14.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 17:17 PST by Philip Prindeville
Modified: 2012-04-11 12:25 PDT (History)
4 users (show)
mkmelin+mozilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (5.97 KB, patch)
2012-03-05 11:11 PST, Magnus Melin
bwinton: review+
Details | Diff | Review

Description Philip Prindeville 2010-12-16 17:17:32 PST
The defaults of these two dialog checkboxes aren't persistent.  I.e. if you change then, run a search, close the dialog... and then reopen it again, the original values will be present.

This isn't very handy if, like me, you have dozens of sub-mailboxes, but do most of your searches in your Inbox and server-side.

In that case, you'd want to change your preferences to disable "Search subfolders", and enable "Run search on server" (which should be the default on IMAP3 anyway).

Please add preferences for these.
Comment 1 Mark Banner (:standard8) 2010-12-17 01:22:07 PST
I think persisting the values may be better than having specific preferences. I think a preference would be too much for the normal case, and just remembering what the user did before would be easier and simpler.
Comment 2 Bryan Clark (DevTools PM) [@clarkbw] 2010-12-20 16:25:06 PST
(In reply to comment #1)
> I think persisting the values may be better than having specific preferences. I
> think a preference would be too much for the normal case, and just remembering
> what the user did before would be easier and simpler.

Agreed
Comment 3 Mark Banner (:standard8) 2010-12-21 02:44:34 PST
Updating summary to match.
Comment 4 Dave Ewart 2011-08-22 07:01:23 PDT
In our enterprise environment, "Run search on server" is the only way to perform message body searches because we don't use the 'new' Thunderbird searching/indexing, having found it unreliable.

To achieve an always-on "Run search on server": for each new version of Thunderbird, I am manually patching SearchDialog.xul so that "Run search on server" defaults to ON.  A fix for this bug would mean that tedious step is no longer required.
Comment 5 Magnus Melin 2012-03-05 11:11:19 PST
Created attachment 602976 [details] [diff] [review]
proposed fix

A very basic approach would be to just add the persist attribute to both elements. The online/offline code toggles the pref though ;/

This patch persists the checked attributes and hides the online option (not just disabling like now) when you're offline.

A third potential option would be to add a per server default pref...
Comment 6 Blake Winton (:bwinton) (:☕️) 2012-04-03 12:39:18 PDT
Comment on attachment 602976 [details] [diff] [review]
proposed fix

>+++ b/mail/base/content/SearchDialog.js
>@@ -342,44 +342,42 @@ function selectFolder(folder)
> function updateSearchFolderPicker(folderURI)
> {
>-    SetFolderPicker(folderURI, gFolderPicker.id);
>+  SetFolderPicker(folderURI, gFolderPicker.id);

Ugh.  I'm sure I asked for it, but these spacing changes make it tough to review…  ;)

Having said that, it all looks good as far as I can tell.  r=me!

Thanks,
Blake.
Comment 7 Magnus Melin 2012-04-11 12:25:36 PDT
http://hg.mozilla.org/comm-central/rev/99fcdce4abb4 -> FIXED

Note You need to log in before you can comment on or make changes to this bug.